python-pip_9.0.1-2_all.deb


Advertisement

Description

python-pip - Python package installer

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-pip
Package version 9.0.1
Package release 2
Package architecture all
Package type deb
Installed size 655 B
Download size 147.03 KB
Official Mirror archive.ubuntu.com
pip is the Python package installer.  It integrates with virtualenv, doesn't
do partial installs, can save package state for replaying, can install from
non-egg sources, and can install from version control repositories.

Alternatives

Package Version Architecture Repository
python-pip_9.0.1-2_all.deb 9.0.1 all Ubuntu Universe
python-pip - - -

Requires

Name Value
ca-certificates -
python-pip-whl = 9.0.1-2
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Binary Package python-pip_9.0.1-2_all.deb
Source Package python-pip

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pip deb package:
    # sudo apt-get install python-pip

Files

Path
/usr/bin/pip
/usr/bin/pip2
/usr/lib/python2.7/dist-packages/pip/__init__.py
/usr/lib/python2.7/dist-packages/pip/__main__.py
/usr/lib/python2.7/dist-packages/pip/basecommand.py
/usr/lib/python2.7/dist-packages/pip/baseparser.py
/usr/lib/python2.7/dist-packages/pip/cmdoptions.py
/usr/lib/python2.7/dist-packages/pip/download.py
/usr/lib/python2.7/dist-packages/pip/exceptions.py
/usr/lib/python2.7/dist-packages/pip/index.py
/usr/lib/python2.7/dist-packages/pip/locations.py
/usr/lib/python2.7/dist-packages/pip/pep425tags.py
/usr/lib/python2.7/dist-packages/pip/status_codes.py
/usr/lib/python2.7/dist-packages/pip/wheel.py
/usr/lib/python2.7/dist-packages/pip-9.0.1.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/pip-9.0.1.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/pip-9.0.1.egg-info/entry_points.txt
/usr/lib/python2.7/dist-packages/pip-9.0.1.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/pip-9.0.1.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/pip-9.0.1.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/pip/_vendor/__init__.py
/usr/lib/python2.7/dist-packages/pip/commands/__init__.py
/usr/lib/python2.7/dist-packages/pip/commands/check.py
/usr/lib/python2.7/dist-packages/pip/commands/completion.py
/usr/lib/python2.7/dist-packages/pip/commands/download.py
/usr/lib/python2.7/dist-packages/pip/commands/freeze.py
/usr/lib/python2.7/dist-packages/pip/commands/hash.py
/usr/lib/python2.7/dist-packages/pip/commands/help.py
/usr/lib/python2.7/dist-packages/pip/commands/install.py
/usr/lib/python2.7/dist-packages/pip/commands/list.py
/usr/lib/python2.7/dist-packages/pip/commands/search.py
/usr/lib/python2.7/dist-packages/pip/commands/show.py
/usr/lib/python2.7/dist-packages/pip/commands/uninstall.py
/usr/lib/python2.7/dist-packages/pip/commands/wheel.py
/usr/lib/python2.7/dist-packages/pip/compat/__init__.py
/usr/lib/python2.7/dist-packages/pip/compat/dictconfig.py
/usr/lib/python2.7/dist-packages/pip/models/__init__.py
/usr/lib/python2.7/dist-packages/pip/models/index.py
/usr/lib/python2.7/dist-packages/pip/operations/__init__.py
/usr/lib/python2.7/dist-packages/pip/operations/check.py
/usr/lib/python2.7/dist-packages/pip/operations/freeze.py
/usr/lib/python2.7/dist-packages/pip/req/__init__.py
/usr/lib/python2.7/dist-packages/pip/req/req_file.py
/usr/lib/python2.7/dist-packages/pip/req/req_install.py
/usr/lib/python2.7/dist-packages/pip/req/req_set.py
/usr/lib/python2.7/dist-packages/pip/req/req_uninstall.py
/usr/lib/python2.7/dist-packages/pip/utils/__init__.py
/usr/lib/python2.7/dist-packages/pip/utils/appdirs.py
/usr/lib/python2.7/dist-packages/pip/utils/build.py
/usr/lib/python2.7/dist-packages/pip/utils/deprecation.py
/usr/lib/python2.7/dist-packages/pip/utils/encoding.py
/usr/lib/python2.7/dist-packages/pip/utils/filesystem.py
/usr/lib/python2.7/dist-packages/pip/utils/glibc.py
/usr/lib/python2.7/dist-packages/pip/utils/hashes.py
/usr/lib/python2.7/dist-packages/pip/utils/logging.py
/usr/lib/python2.7/dist-packages/pip/utils/outdated.py
/usr/lib/python2.7/dist-packages/pip/utils/packaging.py
/usr/lib/python2.7/dist-packages/pip/utils/setuptools_build.py
/usr/lib/python2.7/dist-packages/pip/utils/ui.py
/usr/lib/python2.7/dist-packages/pip/vcs/__init__.py
/usr/lib/python2.7/dist-packages/pip/vcs/bazaar.py
/usr/lib/python2.7/dist-packages/pip/vcs/git.py
/usr/lib/python2.7/dist-packages/pip/vcs/mercurial.py
/usr/lib/python2.7/dist-packages/pip/vcs/subversion.py
/usr/share/doc/python-pip/Makefile.gz
/usr/share/doc/python-pip/README.Debian
/usr/share/doc/python-pip/__init__.py
/usr/share/doc/python-pip/changelog.Debian.gz
/usr/share/doc/python-pip/conf.py.gz
/usr/share/doc/python-pip/configuration.rst
/usr/share/doc/python-pip/cookbook.rst
/usr/share/doc/python-pip/copyright
/usr/share/doc/python-pip/development.rst.gz
/usr/share/doc/python-pip/index.rst
/usr/share/doc/python-pip/installing.rst
/usr/share/doc/python-pip/logic.rst
/usr/share/doc/python-pip/make.bat.gz
/usr/share/doc/python-pip/news.rst
/usr/share/doc/python-pip/pipext.py
/usr/share/doc/python-pip/quickstart.rst
/usr/share/doc/python-pip/usage.rst
/usr/share/doc/python-pip/user_guide.rst.gz
/usr/share/doc/python-pip/reference/index.rst
/usr/share/doc/python-pip/reference/pip.rst.gz
/usr/share/doc/python-pip/reference/pip_download.rst
/usr/share/doc/python-pip/reference/pip_freeze.rst
/usr/share/doc/python-pip/reference/pip_hash.rst
/usr/share/doc/python-pip/reference/pip_install.rst.gz
/usr/share/doc/python-pip/reference/pip_list.rst
/usr/share/doc/python-pip/reference/pip_search.rst
/usr/share/doc/python-pip/reference/pip_show.rst
/usr/share/doc/python-pip/reference/pip_uninstall.rst
/usr/share/doc/python-pip/reference/pip_wheel.rst
/usr/share/man/man1/pip.1.gz
/usr/share/man/man1/pip2.1.gz

Changelog

2017-01-11 - Barry Warsaw <barry@debian.org>
python-pip (9.0.1-2) unstable; urgency=medium
* d/control: Update python-setuptools Built-Using version.
2016-11-29 - Barry Warsaw <barry@debian.org>
python-pip (9.0.1-1) unstable; urgency=medium
* New upstream release.
* d/control: Add new dependencies python3-appdirs and python3-distro to
Build-Depends and Built-Using.
* d/rules: Build appdirs and distro wheels with dirtbike.
* d/tests/pip{2,3}-{root,user}.sh: Update the `pip list` command to
explicitly name --format=columns.  This avoids a test breaking
deprecation warning.
2016-11-21 - Barry Warsaw <barry@debian.org>
python-pip (8.1.2-4) unstable; urgency=medium
* d/patches/disable-pip-version-check.patch: Added.  (Closes: #844679)
* d/control:
- Bump html5lib Built-Using version number.
- Add Built-Using for python-webencodings (a new html5lib dependency).
- Add Build-Depends on python{,3}-webencodings.
* d/rules: Build webencodings wheel with dirtbike.
2016-11-01 - Barry Warsaw <barry@debian.org>
python-pip (8.1.2-3) unstable; urgency=medium
[ Felipe Reyes ]
* d/tests: control: Add needs-recommends restriction. (Closes: #842732)
[ Barry Warsaw ]
* d/control: Update Built-Using.
* d/rules: Also generate /usr/bin/pip2.  (Closes: #834193)
* d/tests/pip2-*.sh:
- Install world<4 since v4 is not Python 2 compatible.  (Modified
from Felipe's original patch.)
- Add tests which invoke pip2.
2016-06-17 - Barry Warsaw <barry@debian.org>
python-pip (8.1.2-2) unstable; urgency=medium
* d/control:
- Update descriptions since pip really isn't the "alternative" any more
and nobody still uses easy_install.
- Update Built-Using packages and versions.
* d/tests/*.sh: export PIP_DISABLE_PIP_VERSION_CHECK=1 to prevent
stderr warnings (and thus test failures) for when we get behind
new upstream releases.
* d/patches:
- skip-bad-requirements.patch: Added to work around crashes
on bogus requirements (e.g. -lxd).
- ignore-socks-warnings.patch: Added to silence DependencyWarnings.
2016-05-11 - Barry Warsaw <barry@debian.org>
python-pip (8.1.2-1) unstable; urgency=medium
* New upstream release.
* d/control:
- Add python3-pyparsing as new Build-Depends.
- Update python-colorama and python-setuptools Built-Using versions.
- Add pyparsing to Built-Using.
- Bump Standards-Version to 3.9.8 with no other changes needed.
* d/rules: dirtbike up pyparsing.
* d/tests/control: Add new DEP-8 test.
* d/tests/pip3-editable.sh: Test to prove that the editable mode extras
bug is fixed.  (Closes: #823358)
2016-04-14 - Barry Warsaw <barry@debian.org>
python-pip (8.1.1-2) unstable; urgency=medium
* d/control: Add python{,3}-setuptools to Recommends.  (Closes: #814292)
* d/rules: We no longer need to dirtbike _markerlib.  (Closes: #821014)
2016-03-17 - Barry Warsaw <barry@debian.org>
python-pip (8.1.1-1) unstable; urgency=medium
* New upstream release.
* d/makepip.py: Remove the date tag to support reproducible builds.
(Closes: #816214)
2016-03-09 - Barry Warsaw <barry@debian.org>
python-pip (8.1.0-2) unstable; urgency=medium
* d/control:
- Add ca-certificates to python-pip-whl Depends.
- wrap-and-sort -at
2016-03-07 - Barry Warsaw <barry@debian.org>
python-pip (8.1.0-1) unstable; urgency=medium
* New upstream release.

See Also

Package Description
python-pisa_3.0.32-4_all.deb PDF generator using HTML and CSS (Python module)
python-pisock_0.12.5-dfsg-2build2_i386.deb Python module to communicate with PalmOS PDA
python-piston-mini-client_0.7.5-0ubuntu3_all.deb library for writing clients for Django's Piston REST APIs
python-pivy_0.5.0~v609hg-3.1_i386.deb Coin binding for Python
python-pjproject_2.6~dfsg-2_i386.deb PJ Project - Python bindings
python-pkgconfig_1.2.2-1_all.deb Python interface to the pkg-config command line tool
python-pkginfo-doc_1.2.1-1_all.deb Python module to query metadata from packages documentation
python-pkginfo_1.2.1-1_all.deb Python 2.x module to query metadata from packages
python-plastex-doc_0.9.2-1.1_all.deb LaTeX document processing framework in Python - documentation files
python-plastex_0.9.2-1.1_all.deb LaTeX document processing framework in Python
python-plist_2.0.0-2_i386.deb Library for handling Apple binary and XML property lists
python-plotly_2.0.14+dfsg-1_all.deb Python plotting library for publication-quality graphs
python-plplot-qt_5.10.0+dfsg2-0.4ubuntu3_i386.deb Scientific plotting library (python qt GUI)
python-plplot_5.10.0+dfsg2-0.4ubuntu3_i386.deb Python support for PLplot, a plotting library
python-pluggy_0.4.0-1_all.deb plugin and hook calling mechanisms for Python
Advertisement
Advertisement